This release goes live the evening of the 27th April 2026
New Endpoints
/v3/cases
- GET /v3/cases/{reference}/visits
- POST /v3/cases/{reference}/visits
- GET /v3/cases/{reference}/visits/{visitId}
- PATCH /v3/cases/{reference}/visits/{visitId}
- PATCH /v3/cases/{reference}/visits/{visitId}/complete
/v3/projects
- GET /v3/projects/{id}/risks
- POST /v3/projects/{id}/risks
- PATCH /v3/projects/{id}/risks/{riskId}
- PATCH /v3/projects/{id}/risks/{riskId}/reset
- GET /v3/projects/{reference}/risks
- POST /v3/projects/{reference}/risks
- GET /v3/projects/{reference}/risks/{riskName}
- PATCH /v3/projects/{reference}/risks/{riskName}
- POST /v3/projects/{reference}/risks/{riskName}/end
- POST /v3/projects/{reference}/risks/{riskName}/reset
/v3/properties
- GET /v3/properties/{id}/visits
- GET /v3/properties/{propertyId}/cases
- GET /v3/properties/{propertyId}/preinspections/{preInspectionId}
- GET /v3/properties/{propertyId}/repairrequests
- GET /v3/properties/{propertyId}/repairrequests/{repairRequestId}
- GET /v3/properties/{reference}/visits
- POST /v3/properties/{reference}/visits
- GET /v3/properties/{reference}/visits/{visitId}
- PATCH /v3/properties/{reference}/visits/{visitId}
- PATCH /v3/properties/{reference}/visits/{visitId}/complete
- GET /v3/properties/{uprn}/cases
- GET /v3/properties/{uprn}/repairrequests
/v3/repairrequests
- GET /v3/repairrequests/since
-
/v3/servicecharges
- PATCH /v3/servicecharges/costgroups/{costGroupId}/fixedcosts
- POST /v3/servicecharges/costgroups/{costGroupId}/fixedcosts
/v3/workorders
- PATCH /v3/workorders/{reference}/dispatch
- PATCH /v3/workorders/{workOrderId}/dispatch
Endpoint Changes
GET /v3/applications/attributes/since
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/applications/{id}/attributes
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/cases/attributes/since
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/cases/{id}/attributes
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/occupancies/attributes/since
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/occupancies/{id}/attributes
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/people/attributes/since
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/people/{id}/attributes
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/properties/attributes/since
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/properties/{id}/attributes
- ⚠️ the response property
data/items/answerbecame nullable for the status200
GET /v3/users
- added the required property
data/items/isActiveto the response with the200status
GET /v3/users/since
- added the required property
data/items/isActiveto the response with the200status
GET /v3/properties/{propertyId}/preinspections
- added the optional property
data/items/visitIdto the response with the200status
POST /v3/properties/{propertyId}/preinspections
- added the new optional request property
visit - added the optional property
data/visitIdto the response with the201status